Page 1 of 1

Xcode 10.0 and LC 9.0.2 and iOS 12 simulator

Posted: Fri Dec 07, 2018 7:51 pm
by djkesler
I have Xcode 10.0 and LC 9.0.2.

The highest version simulator that is available in Xcode preference/components is 11.4.

Is the SDK for iOS 12 in Xcode 10.0, if so, where is the simulator for that version?
I did not download the 'Additional Tools for Xcode 10.0'. I didn't see anything listed in the description that seemed to be needed.

I downloaded Xcode 10.1, the simulator is available in that download.

Is there a web page that lists the Xcode version that corresponds to the included iOS version?

Thanks for any help.

Re: Xcode 10.0 and LC 9.0.2 and iOS 12 simulator

Posted: Mon Dec 10, 2018 8:48 am
by LiveCode_Panos
Hello David,

Xcode 10.0 should include iOS 12.0 simulator. You can verify this by right-clicking into the .app bundle and navigating to Contents/Developer/Platforms/iPhoneSimulator.platform/Developer/SDKs/

You should see a symlink "iPhoneSimulator12.0.skd" in this folder.

Kind regards,
Panos
--

Re: Xcode 10.0 and LC 9.0.2 and iOS 12 simulator

Posted: Sat Dec 15, 2018 9:05 am
by djkesler
Pianos,

Yes, you are right. It’s in there. There was a panel in Xcode preferences that seems to indicate that it wasn’t loaded.

Thanks!